framework:
    workflows:
        cronograma:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Entrevistas\CronogramaEntrevistas
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
                - ResultadosPublicados
                - WebPublicado
            transitions:
                guardar:
                    from: [Borrador, Publicado]
                    to:   Borrador
                editar:
                    from: [Publicado,ResultadosPublicados]
                    to:   Borrador
                publicar:
                    from: [Borrador]
                    to:   Publicado
                despublicar:
                    from: [Publicado,ResultadosPublicados,WebPublicado]
                    to:   Borrador
                publicarResultados:
                    from: [Borrador,Publicado]
                    to: ResultadosPublicados
                despublicarResultados:
                    from: [ResultadosPublicados,WebPublicado]
                    to: Publicado
                publicarWeb:
                    from: [ResultadosPublicados]
                    to: WebPublicado
                despublicarWeb:
                    from: [WebPublicado]
                    to: ResultadosPublicados

        lecturaNotas:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Entrevistas\LecturaNotas
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
            transitions:
                guardar:
                    from: [Borrador, Publicado]
                    to:   Borrador
                editar:
                    from: [Publicado]
                    to:   Borrador
                publicar:
                    from: [Borrador]
                    to:   Publicado
                despublicar:
                    from: [Publicado]
                    to:   Borrador
                